@REM ---------------------------------------------------------------------------
@REM Uninstall wizard hook.
@REM
@REM This script is invoked during Windows WASCE+SDK bundle uninstall to accommodate
@REM template uninstalls that require cleanup prior to server image removal.
@REM
@REM For example, assuming install customization as outlined in postInstall.bat,
@REM this script could be customized to include the following cleanup logic...
@REM
@REM set WASCE_HOME=%~dp0..
@REM cd "%WASCE_HOME%"
@REM rmdir myCustomDirTree /s /q 1>nul 2>&1
@REM
@REM Parameters passed by the uninstall wizard to this script:
@REM
@REM %0 - The filespec of this script.
@REM %1 - Directory of the uninstall wizard log.
@REM
@REM ---------------------------------------------------------------------------

@REM Must have command extensions enabled for this script
verify other 2>nul
setlocal enableextensions
if errorlevel 1 exit

set WASCE_HOME=%~dp0..

@REM WASCE_HOME/_jvm triggers WASCE-private JVM cleanup.
if not exist "%WASCE_HOME%\_jvm" goto noPrivateJvm
cd /d "%WASCE_HOME%"
rmdir _jvm /s /q 1>nul 2>&1
:noPrivateJvm




